org.eclipse.gef.cloudio.internal.ui.util

## Class RectTree

- java.lang.Object
- - org.eclipse.gef.cloudio.internal.ui.util.RectTree

    public class RectTree
    extends Object

A two-dimensional tree structure to store non-overlapping rectangles.

### Field Summary

Fields
`static short` `BACKGROUND`
`static short` `EMPTY`
`static short` `MISC`

### Constructor Summary

Constructors
Constructor and Description
`RectTree(SmallRect root, int minResolution)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `fits(CloudMatrix mainTree)`
`org.eclipse.gef.cloudio.internal.ui.util.RectTree.RectNode` `getRoot()`
`void` `insert(SmallRect r, short id)`
`void` `move(int x, int y)`
`void` `place(CloudMatrix mainTree, short id)`
`void` `releaseRects()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static short EMPTY

#### MISC

    public static short MISC

#### BACKGROUND

    public static short BACKGROUND

### Constructor Detail

#### RectTree

    public RectTree(SmallRect root,
                    int minResolution)

### Method Detail

#### insert

    public void insert(SmallRect r,
                       short id)

#### move

    public void move(int x,
                     int y)

#### fits

    public boolean fits(CloudMatrix mainTree)

#### place

    public void place(CloudMatrix mainTree,
                      short id)

#### releaseRects

    public void releaseRects()

#### getRoot

    public org.eclipse.gef.cloudio.internal.ui.util.RectTree.RectNode getRoot()

#### reset

    public void reset()